This project provide base of `Model` and `ViweModel`, and which is extend `System.ContextBoundObject`, thus this project can use AOP.
Most of the code in the `ViewModelBase.cs` and `ViewModelExtension.cs` are copied from `PRISM`.